Bug 8822 - Click boom in gnorpm
Click boom in gnorpm
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
6.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-24 19:53 EST by Alan Cox
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 21:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2000-01-24 19:53:43 EST
The last gnorpm seemed pretty solid, this one you just go

start gnorpm, hit web find, hit download, crash
Comment 1 Tim Waugh 2000-01-25 11:04:59 EST
I got this to happen with gnorpm-0.9-12 and rpm-3.0.4-36.

Web Find.  Download.  Cancel.  Close.  Bang:

Program received signal SIGSEGV, Segmentation fault.
0x40217df4 in gtk_type_check_object_cast () from /usr/lib/libgtk-1.2.so.0
(gdb) bt
#0  0x40217df4 in gtk_type_check_object_cast () from /usr/lib/libgtk-1.2.so.0
#1  0x40042450 in gnome_app_set_progress () from /usr/lib/libgnomeui.so.32
#2  0x8053cfa in set_icon ()
#3  0x806aa90 in url_set_callbacks ()
#4  0x806acb1 in url_get_to_file ()
#5  0x806ae9c in url_get_to_temp ()
#6  0x806d0cb in alternateSearch ()
#7  0x806e5d3 in resolveName ()
#8  0x80691be in rpm_web_find_set_callbacks ()
#9  0x8069789 in rpm_web_find_set_callbacks ()
#10 0x401c4dbd in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#11 0x401f24ad in gtk_handlers_run () from /usr/lib/libgtk-1.2.so.0
#12 0x401f18f2 in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#13 0x401efa45 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#14 0x401647a8 in gtk_button_clicked () from /usr/lib/libgtk-1.2.so.0
#15 0x40165d98 in gtk_real_button_released () from /usr/lib/libgtk-1.2.so.0
#16 0x401c4dbd in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#17 0x401f17ab in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#18 0x401efa45 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#19 0x401646e8 in gtk_button_released () from /usr/lib/libgtk-1.2.so.0
#20 0x40165752 in gtk_button_button_release () from /usr/lib/libgtk-1.2.so.0
#21 0x401c4989 in gtk_marshal_BOOL__POINTER () from /usr/lib/libgtk-1.2.so.0
#22 0x401f192b in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#23 0x401efa45 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#24 0x402247bc in gtk_widget_event () from /usr/lib/libgtk-1.2.so.0
#25 0x401c48e2 in gtk_propagate_event () from /usr/lib/libgtk-1.2.so.0
#26 0x401c3b3a in gtk_main_do_event () from /usr/lib/libgtk-1.2.so.0
#27 0x4026e33b in gdk_event_dispatch () from /usr/lib/libgdk-1.2.so.0
#28 0x403aebe6 in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#29 0x403af1a1 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#30 0x403af341 in g_main_run () from /usr/lib/libglib-1.2.so.0
#31 0x401c3479 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#32 0x8053224 in main ()
#33 0x404a652b in __libc_start_main (main=0x8052ffc <main>, argc=1,
    argv=0xbffffa04, init=0x8050ad8 <_init>, fini=0x806f22c <_fini>,
    rtld_fini=0x4000ac50 <_dl_fini>, stack_end=0xbffff9fc)
    at ../sysdeps/generic/libc-start.c:92
(gdb) quit
Comment 2 Cristian Gafton 2000-03-06 16:17:59 EST
Somebody please get this fixed.
Comment 3 Alan Cox 2000-08-04 21:15:24 EDT
Its still broken, it still sucks, its 6 months open..
Comment 4 Preston Brown 2000-08-18 14:47:28 EDT
fixed in gnorpm-0.9-25 and later.

Note You need to log in before you can comment on or make changes to this bug.